classification
Title: IDLE: Include .desktop file and icon
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: python.desktop
View: 1353344
Assigned To: Nosy List: DaleEMoore, Rene.Hahne, Todd.Rovito, hennekn, natureshadow, roger.serwy, terry.reedy
Priority: normal Keywords: easy

Created on 2012-09-06 11:11 by natureshadow, last changed 2014-01-29 21:46 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
python-freedesktop-files.tar.bz2 natureshadow, 2012-09-06 11:11 tarball containing .desktop files for IDLE 2 and 3 as well as the icon
Messages (6)
msg169912 - (view) Author: Dominik George (natureshadow) Date: 2012-09-06 11:11
As a graphical application, IDLE, is shipped, a .desktop file should be included for intallation to /usr/share/applications. Furthermore, a 16x16 pixel version in XPM format of the Python icon should be shipped to accompany the menu entries.

Attached is a tarball containing .desktop files for IDLE 2 and 3 as well as the icon.
msg171221 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2012-09-25 05:47
I tried the provided .desktop files and they work with Gnome 3.4.
msg174118 - (view) Author: Dale E. Moore (DaleEMoore) Date: 2012-10-29 14:47
On Ubuntu 12.10 with Unity the task icon is a question mark. And when locked to launcher the button does not start idle.
msg191205 - (view) Author: Rene Hahne (Rene.Hahne) Date: 2013-06-15 13:47
I have the same issue with arch linux and gnome 3.8.

Solution was adding "Type=Application" to idle.desktop file
msg198451 - (view) Author: Hendrik Knackstedt (hennekn) Date: 2013-09-26 21:01
For the correct icon to appear you have to copy the provided .xpm file to the given location: /usr/share/pixmaps/python.xpm

This is still an issue for the current version of python 3.3.

This is really easy to fix. Simply include the files already provided. I can confirm they work on Archlinux in XFCE.
msg209683 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-01-29 21:46
Older issue has more patches and more discussion.
History
Date User Action Args
2014-01-29 21:46:18terry.reedysetstatus: open -> closed

superseder: python.desktop

nosy: + terry.reedy
messages: + msg209683
resolution: duplicate
stage: resolved
2013-09-26 21:01:59henneknsetnosy: + hennekn
messages: + msg198451
2013-06-15 13:47:27Rene.Hahnesetnosy: + Rene.Hahne
messages: + msg191205
2012-10-29 14:47:21DaleEMooresetnosy: + DaleEMoore
messages: + msg174118
2012-10-21 05:49:09Todd.Rovitosetnosy: + Todd.Rovito
2012-09-25 05:47:50roger.serwysettitle: Include .desktop file and icon -> IDLE: Include .desktop file and icon
nosy: + roger.serwy

messages: + msg171221

keywords: + easy
2012-09-06 11:11:13natureshadowcreate